<?php

namespace app;

use app\Exceptions\ConfigEntryNotFoundException;

class Config {
    private array $configArray;

    public function __construct() {
        $this->configArray = parse_ini_file(APP_ROOT . "/config.ini", true);
    }

    public function GetByDotKey(string $dotKey): string|int|float|array
    {
        $explodedKey = explode(".", $dotKey);

        $currentTraversal = $this->configArray;
        $finalValue = null;

        foreach ($explodedKey as $key) {
            if (array_key_exists($key, $currentTraversal))
                $currentTraversal = $currentTraversal[$key];
            else
                throw new ConfigEntryNotFoundException($dotKey);

            $finalValue = $currentTraversal;
        }

        return $finalValue;
    }
}